--- title: "Refund" description: "Refund a payment back to the shopper." url: "https://docs.adyen.com/online-payments/refund" source_url: "https://docs.adyen.com/online-payments/refund.md" canonical: "https://docs.adyen.com/online-payments/refund" last_modified: "2023-04-03T17:47:00+02:00" language: "en" --- # Refund Refund a payment back to the shopper. [View source](/online-payments/refund.md) ##### Refund in Customer Area You can also refund payments in your Customer Area. For more information, refer to [Manage payments](/account/manage-payments#refund-a-payment). To return funds to your shopper, you can refund the shopper's payment after it has been [captured](/get-started-with-adyen/adyen-glossary#capture-or-clearing-and-settlement). For example: if a shopper returns an item they purchased, you refund their payment. When you make a refund request, Adyen attempts to [authorize the refund](#refund-authorization) and transfers the funds to the shopper's account. It can take up to 40 business days before the funds are returned to the shopper's account, depending on the payment method. ## Requirements | Requirement | Description | | ----------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | **Integration type** | An [online payments integration](/online-payments/build-your-integration/). | | **[Webhooks](/development-resources/webhooks)** | Subscribe to **Standard webhooks** and listen for webhook messages with the following `eventCode` values:- [**REFUND**](/development-resources/webhooks/webhook-types/#transaction-events) - [**REFUND\_FAILED**](/development-resources/webhooks/webhook-types/#transaction-events) - [**REFUNDED\_REVERSED**](/development-resources/webhooks/webhook-types/#transaction-events) | | **[Customer Area roles](/account/user-roles)** | To edit capture settings, make sure that you have the following roles:- **Merchant admin** - **View Payments** - **Merchant manage payments** | | **[Webhooks](/development-resources/webhooks)** | Subscribe to Standard webhooks. | | **Setup steps** | Before you begin:- To get approval to make unreferenced refunds, you must reach out to our [Support Team](https://ca-test.adyen.com/ca/ca/contactUs/support.shtml?form=other) or your Adyen contact. | | **Limitations** | You can only refund a payment after it has been captured. If a payment has not been captured, you can [cancel](/online-payments/cancel) it. If you do not know if a payment has been captured, you can instead [reverse](/online-payments/reversal) the payment. | ## Types of refunds | Type | Description | | ------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | Full refund | You refund the full amount of the payment. | | Partial refund | Supported for some payment methods. You refund a partial amount of the payment. If you make multiple partial refunds, the sum of the refund amounts cannot be more than the captured amount. Check which [payment methods support partial refunds and multiple partial refunds](/payment-methods/). | | [Unreferenced refund](#unreferenced-refund) | When you make a refund without a reference (for example, the PSP reference or your order reference) for the payment. | ## Make a refund To return funds to the shopper: 1. From the information of the payment you want to refund, get the PSP reference. 2. Make a [/payments/{paymentPspReference}/refunds](https://docs.adyen.com/api-explorer/Checkout/latest/post/payments/\(paymentPspReference\)/refunds) request, including the following: In your request, include: | Parameter | Required | Description | | ------------------------------------ | ------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `paymentPspReference` Path parameter | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The PSP reference of the payment. You can find this in the following:- The webhook message with `eventCode`: **AUTHORISATION** for the payment. - In your [Customer Area](https://ca-test.adyen.com/), in the list of payments (**Transactions** > **Payments**). - If you made a [/payments](https://docs.adyen.com/api-explorer/Checkout/latest/post/payments) request for the payment, the [/payments](https://docs.adyen.com/api-explorer/Checkout/latest/post/payments) response. | | `merchantAccount` | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The name of your merchant account that is used to process the payment. | | `amount` | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The [amount](https://docs.adyen.com/api-explorer/#/CheckoutService/latest/post/payments/{paymentPspReference}/refunds__reqParam_amount) that you want to refund.- The `value` must be the same or, in case of a partial refund, less than the captured `amount`. - The `currency` must match the currency used in the authorization. | | `reference` | | Your reference for the refund, for example to tag a partial refund for future reconciliation. The `reference` parameter is required for [GrabPay](/payment-methods/grabpay) refunds. | | `merchantRefundReason` | | The reason for the refund request. Possible values:- **FRAUD** - **CUSTOMER REQUEST** - **RETURN** - **DUPLICATE** - **OTHER** | **Example of a refund request for EUR 25** #### curl ```bash curl https://checkout-test.adyen.com/v72/payments/XB7XNCQ8HXSKGK82/refunds \ -H 'x-api-key: ADYEN_API_KEY' \ -H 'Content-Type: application/json' \ -d '{ "merchantAccount": "ADYEN_MERCHANT_ACCOUNT", "amount": { "value": 2500, "currency": "EUR" }, "reference": "YOUR_UNIQUE_REFERENCE" }' ``` #### Java ```java // Adyen Java API Library v39.3.0 import com.adyen.Client; import com.adyen.enums.Environment; import com.adyen.model.checkout.*; import java.time.OffsetDateTime; import java.util.*; import com.adyen.model.RequestOptions; import com.adyen.service.checkout.*; // For the LIVE environment, also include your liveEndpointUrlPrefix. Client client = new Client("ADYEN_API_KEY", Environment.TEST); // Create the request object(s) // Send the request ModificationsApi service = new ModificationsApi(client); PaymentRefundResponse response = service.refundCapturedPayment("paymentPspReference", paymentRefundRequest, new RequestOptions().idempotencyKey("UUID")); ``` #### PHP ```php setXApiKey("ADYEN_API_KEY"); // For the LIVE environment, also include your liveEndpointUrlPrefix. $client->setEnvironment(Environment::TEST); // Create the request object(s) $requestOptions['idempotencyKey'] = 'UUID'; // Send the request $service = new ModificationsApi($client); $response = $service->refundCapturedPayment('paymentPspReference', $paymentRefundRequest, $requestOptions); ``` #### C\# ```cs // Adyen .net API Library v32.1.1 using Adyen; using Environment = Adyen.Model.Environment; using Adyen.Model; using Adyen.Model.Checkout; using Adyen.Service.Checkout; // For the LIVE environment, also include your liveEndpointUrlPrefix. var config = new Config() { XApiKey = "ADYEN_API_KEY", Environment = Environment.Test }; var client = new Client(config); // Create the request object(s) // Send the request var service = new ModificationsService(client); var response = service.RefundCapturedPayment("paymentPspReference", paymentRefundRequest, requestOptions: new RequestOptions { IdempotencyKey = "UUID"}); ``` #### NodeJS (JavaScript) ```js // Adyen Node API Library v29.0.0 const { Client, CheckoutAPI } = require('@adyen/api-library'); // For the LIVE environment, also include your liveEndpointUrlPrefix. const config = new Config({ apiKey: "ADYEN_API_KEY", environment: EnvironmentEnum.TEST }); const client = new Client(config); // Create the request object(s) const paymentRefundRequest = { merchantAccount: "ADYEN_MERCHANT_ACCOUNT", amount: { value: 2500, currency: "EUR" }, reference: "YOUR_UNIQUE_REFERENCE" } // Send the request const checkoutAPI = new CheckoutAPI(client); const response = checkoutAPI.ModificationsApi.refundCapturedPayment("paymentPspReference", paymentRefundRequest, { idempotencyKey: "UUID" }); ``` #### Go ```go // Adyen Go API Library v21.0.0 import ( "context" "github.com/adyen/adyen-go-api-library/v21/src/common" "github.com/adyen/adyen-go-api-library/v21/src/adyen" "github.com/adyen/adyen-go-api-library/v21/src/checkout" ) // For the LIVE environment, also include your liveEndpointUrlPrefix. client := adyen.NewClient(&common.Config{ ApiKey: "ADYEN_API_KEY", Environment: common.TestEnv, }) // Create the request object(s) // Send the request service := client.Checkout() req := service.ModificationsApi.RefundCapturedPaymentInput("paymentPspReference").IdempotencyKey("UUID").PaymentRefundRequest(paymentRefundRequest) res, httpRes, err := service.ModificationsApi.RefundCapturedPayment(context.Background(), req) ``` #### Python ```py # Adyen Python API Library v13.6.0 import Adyen adyen = Adyen.Adyen() adyen.client.xapikey = "ADYEN_API_KEY" # For the LIVE environment, also include your liveEndpointUrlPrefix. adyen.client.platform = "test" # The environment to use library in. # Create the request object(s) json_request = { "merchantAccount": "ADYEN_MERCHANT_ACCOUNT", "amount": { "value": 2500, "currency": "EUR" }, "reference": "YOUR_UNIQUE_REFERENCE" } # Send the request result = adyen.checkout.modifications_api.refund_captured_payment(request=json_request, paymentPspReference="paymentPspReference", idempotency_key="UUID") ``` #### Ruby ```rb # Adyen Ruby API Library v10.4.0 require "adyen-ruby-api-library" adyen = Adyen::Client.new adyen.api_key = 'ADYEN_API_KEY' # For the LIVE environment, also include your liveEndpointUrlPrefix. adyen.env = :test # Set to "live" for live environment # Create the request object(s) request_body = { :merchantAccount => 'ADYEN_MERCHANT_ACCOUNT', :amount => { :value => 2500, :currency => 'EUR' }, :reference => 'YOUR_UNIQUE_REFERENCE' } # Send the request result = adyen.checkout.modifications_api.refund_captured_payment(request_body, 'paymentPspReference', headers: { 'Idempotency-Key' => 'UUID' }) ``` #### NodeJS (TypeScript) ```ts // Adyen Node API Library v29.0.0 import { Client, CheckoutAPI, Types } from "@adyen/api-library"; // For the LIVE environment, also include your liveEndpointUrlPrefix. const config = new Config({ apiKey: "ADYEN_API_KEY", environment: EnvironmentEnum.TEST }); const client = new Client(config); // Create the request object(s) // Send the request const checkoutAPI = new CheckoutAPI(client); const response = checkoutAPI.ModificationsApi.refundCapturedPayment("paymentPspReference", paymentRefundRequest, { idempotencyKey: "UUID" }); ``` 3. When you receive the [/payments/{paymentPspReference}/refunds](https://docs.adyen.com/api-explorer/Checkout/latest/post/payments/\(paymentPspReference\)/refunds) response, note: * `paymentPspReference`: the PSP reference of the authorization you want to refund. * `pspReference`: Adyen's unique reference associated with this refund request. **Example response for a refund request** ```json { "merchantAccount": "ADYEN_MERCHANT_ACCOUNT", "paymentPspReference": "XB7XNCQ8HXSKGK82", "pspReference" : "JDD6LKT8MBLZNN84", "reference": "YOUR_UNIQUE_REFERENCE", "status" : "received" } ``` 4. Wait for the [REFUND webhook](#refund-webhook) to learn the outcome of the refund request. ## Make an unreferenced refund To get approval to make unreferenced refunds, reach out to our [Support Team](https://ca-test.adyen.com/ca/ca/contactUs/support.shtml?form=other) or your Adyen contact. To refund the shopper without the reference for the payment, make a `/refunds` request and include the following: | Parameter | Required | Description | | ------------------ | ------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------- | | `paymentMethod` | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The object with payment method information. | | `merchantAccount` | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The name of your merchant account. | | `amount` | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The amount that you want to refund. | | `shopperReference` | | Your unique reference for the shopper. | | `reference` | | Your reference for the refund, for example, to tag a partial refund for future reconciliation. | | `shopperStatement` | | Text that appears on the shopper's bank statement. | | `shopperIP` | | The shopper's IP address. | | `shopperEmail` | | The shopper's email address. | | `billingAddress` | | The shopper's billing address. | You can make unreferenced refunds for card payments and bank transfer (with IBAN) payments. ### Tab: Unreferenced refund for card payment When you make an unreferenced refund for a card payment, include the card details in the `paymentMethod` object. **Example unreferenced refund request for a payment with unencrypted card details** ```bash curl https://checkout-test.adyen.com/v71/refunds \ -H 'x-api-key: ADYEN_API_KEY' \ -H 'content-type: application/json' \ -d '{ "amount": { "value": 1500, "currency": "EUR" }, "paymentMethod": { "type" : "scheme" "number": "4111111111111111", "expiryMonth": "03", "expiryYear": "2030", "holderName": "Simon Hopper" }, "reference": "YOUR_REFUND_REFERENCE", "merchantAccount": "ADYEN_MERCHANT_ACCOUNT" }' ``` ### Tab: Unreferenced refund for bank transfer payment When you make an unreferenced refund for a bank transfer payment with an IBAN, include the following: | Parameter | Required | Description | | ------------------------- | ------------------------------------------------------------------------------------------- | ----------------------------------- | | `paymentMethod.type` | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | **bankTransfer\_IBAN** | | `paymentMethod.iban` | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The IBAN. | | `paymentMethod.ownerName` | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The name of the bank account owner. | **Example unreferenced refund request for a payment with the IBAN** ```bash curl https://checkout-test.adyen.com/v71/refunds \ -H 'x-api-key: ADYEN_API_KEY' \ -H 'content-type: application/json' \ -d '{ "amount": { "value": 1500, "currency": "EUR" }, "paymentMethod": { "type": "bankTransfer_IBAN", "iban": "NL00BANK0123456789", "ownerName": "S. Hopper" }, "reference": "YOUR_MODIFICATION_REFERENCE", "merchantAccount": "ADYEN_MERCHANT_ACCOUNT" }' ``` ## Test failed refunds In our test environment, you can check how your integration handles failed refunds: 1. Make a test [card payment](/payment-methods/cards), specifying: * `holderName`: **refund failed** ```json { "amount": { "currency": "EUR", "value": 500 }, "reference": "Refund failed test", "paymentMethod": { "type": "scheme", "encryptedCardNumber": "test_4111111111111111", "encryptedExpiryMonth": "test_03", "encryptedExpiryYear": "test_2030", "encryptedSecurityCode": "test_737", "holderName": "refund failed" }, "returnUrl": "https://your-company.example.com/...", "merchantAccount": "YOUR_MERCHANT_ACCOUNT" } ``` 2. Refund this payment, either [in your Customer Area](/account/manage-payments#refund-a-payment), or by [making an API request](#refund-a-payment).\ It can take several hours to process your refund request. 3. Check that you receive a webhook with `eventCode`: **REFUND\_FAILED** for your test payment. ## Webhooks for refunds The refund process is asynchronous. To keep you informed, we send webhook event messages. ### REFUND webhook Before we send a refund request to be processed, we perform various validations. If these validations succeed, usually the refund itself also succeeds. You receive the outcome of the validations asynchronously, in a [webhook](/development-resources/webhooks) that includes: * `eventCode`: **REFUND**. * `pspReference`: the `pspReference` from the response for your refund request. * `success`: indicates the outcome of the refund validations. Possible values: * **true**: Adyen's validations were successful and we sent the refund request to the card scheme. This usually means that the refund will be processed successfully. However, in rare cases the refund can be rejected by the card scheme, or reversed. For information about these exceptions, see [**REFUND\_FAILED** webhook](/online-payments/refund#refund-failed), and [**REFUNDED\_REVERSED** webhook](/online-payments/refund#refunded-reversed). * **false**: the refund validations failed. The webhook includes a `reason` field with a short description of the problem. [Review the reason](#failed-refund-request), fix the issue if possible, and resubmit the refund request. ### Tab: success: true ```json { "live":"false", "notificationItems":[ { "NotificationRequestItem":{ "amount":{ "currency":"EUR", "value":2500 }, "eventCode":"REFUND", "eventDate":"2021-11-01T00:19:34+01:00", "merchantAccountCode":"YOUR_MERCHANT_ACCOUNT", "merchantReference": "YOUR_UNIQUE_REFERENCE", "originalReference":"XB7XNCQ8HXSKGK82", "paymentMethod":"visa", "pspReference":"JDD6LKT8MBLZNN84", "reason":"", "success":"true" } } ] } ``` ### Tab: success: false ```json { "live":"false", "notificationItems":[ { "NotificationRequestItem":{ "amount":{ "currency":"EUR", "value":2500 }, "eventCode":"REFUND", "eventDate":"2021-11-01T00:19:34+01:00", "merchantAccountCode":"YOUR_MERCHANT_ACCOUNT", "merchantReference": "YOUR_UNIQUE_REFERENCE", "originalReference":"XB7XNCQ8HXSKGK82", "paymentMethod":"visa", "pspReference":"JDD6LKT8MBLZNN84", "reason":"Transaction hasn't been captured, refund not possible", "success":"false" } } ] } ``` For more information about the included fields, see the [REFUND](https://docs.adyen.com/api-explorer/Webhooks/latest/post/REFUND) webhook reference. #### Reasons for failed refund validation When our validations of a refund fail, you receive a webhook for the refund with `success`: **false** and the reason of the failure. The next table shows the most common reasons.\ []()\ Where the table mentions the *balance on the payment*, this refers to the amount that remains from the original payment. For example, if a transaction has a total of EUR 10 and no refund or chargeback is processed, then the balance on the payment is EUR 10. After a refund or chargeback of EUR 3 is processed, the remaining balance on the payment is EUR 7. | `reason` | Description | | ------------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Requested refund amount too high` | No chargeback or refund has been processed, and the requested refund amount is more than the balance on the payment. | | `Already partially refunded, new requested refund amount too high` | Partial refund(s) has(/have) been processed, and the requested refund amount is more than the balance on the payment. | | `Already partially disputed, new requested refund amount too high` | Partial chargeback(s) has(/have) been processed, and the requested refund amount is more than the balance on the payment. | | `Already fully refunded, no balance available for new requested refund` | Full refund has been processed, and the remaining balance on the payment is 0. | | `Partially refunded and partially disputed, no balance available for new requested refund` | Partial refund(s) and chargeback(s) have been processed, and the requested refund amount is more than the balance on the payment. Partial refund(s) and chargeback(s) have been processed, and the balance on the payment is a negative amount. | | `Already fully disputed, no balance available for new requested refund` | Full chargeback has been processed, and the balance on the payment is 0. A full chargeback and partial refund(s) have been processed, and the balance on the payment is a negative amount. | | `Insufficient in-process funds on account` | There is not enough [balance](/account/balances) on your merchant account to process the refund. | | `Transaction hasn't been captured, refund not possible` | The refund was requested before the transaction was captured. You need to [cancel](/online-payments/cancel) the transaction instead or wait until the transaction is settled. | | `The maximum period for this operation has expired` | The refund was requested past the expiration date permitted by the payment method to process the request. | | `Amount too low to be accepted by Card Network` | The refund amount was too low. The amount must be greater than 0.01 in any currency. | | `Modification in different currency than authorisation` | The refund was requested in a currency different from the currency in which the authorization was made. | ### REFUNDED\_REVERSED webhook For some payment methods, for example bank transfers, iDEAL, or Bancontact, the status of the payment can change from \*\*Refunded\*\* to \*\*RefundedReversed\*\*. This means that the funds have been returned to Adyen, and are back in your account. This can happen, for example, if the shopper's bank account is no longer valid. Before you retry the refund, contact the shopper about the status of their bank account. When a refund is reversed, we inform you of this with a [webhook](/development-resources/webhooks) containing: * `eventCode`: **REFUNDED\_REVERSED** * `success`: **true** For more information about the included fields, see the [REFUNDED\_REVERSED](https://docs.adyen.com/api-explorer/Webhooks/latest/post/REFUNDED_REVERSED) webhook reference. An overview of reversed refunds is available in your [Payment accounting report](/reporting/invoice-reconciliation/payment-accounting-report). ### REFUND\_FAILED webhook Although rare, a refund can fail after you received a **REFUND** webhook with `success`: **true**. A successful **REFUND** webhook means that our validations were successful and we sent the refund request to the card scheme. However, the card scheme can still reject the refund. This can happen even a few days after you submitted the refund request. This also applies to installment-based transactions. If a refund fails for an installment payment, you receive the same **REFUND\_FAILED** webhook. Most of the time Adyen can fix the issue, so that the shopper will eventually receive the funds. Sometimes, however, you need to take action yourself. To learn why a refund can fail and what, if anything, you need to do in each case, refer to [Failed refunds](/online-payments/capture/failure-reasons). When a refund fails after you received `success`: **true** in the **REFUND** webhook, we inform you of this with another [webhook](/development-resources/webhooks) containing: * `eventCode`: **REFUND\_FAILED** * `pspReference`: the `pspReference` of the refund request. For more information about the included fields, see the [REFUND\_FAILED](https://docs.adyen.com/api-explorer/Webhooks/latest/post/REFUND_FAILED) webhook reference. An overview of failed refunds is available in your [Payment accounting report](/reporting/invoice-reconciliation/payment-accounting-report). ## Refund authorization Refund authorization means that before processing a refund, Adyen checks with the issuer if the shopper's card or account is valid. This happens automatically; you do not have to ask for this in your refund request. Adyen supports this for: * American Express * Discover * Mastercard * Visa As soon as the issuer authorizes the refund, the refund is visible on the shopper's account. This improves customer satisfaction and reduces the number of questions from shoppers about their refund. Also, there are less refund-related chargebacks because issuers usually return the funds to the shopper sooner. Issuers can decline a refund authorization for reasons like: * Lost or expired card * Invalid card number * Closed account * Suspected fraud When a refund authorization is declined, we still try to process the refund. ### Pilot to prepare for 2026 changes Adyen is currently running a pilot where declined refund authorizations are handled differently: * We do not proceed with the refund. In your Customer Area, the transaction status remains **Settled**. * We inform you of the reason for the declined refund authorization in the **REFUND**, **CANCEL\_OR\_REFUND**, and **REFUND\_WITH\_DATA** webhooks. The `reason` parameter in the webhook will a have a value of *Authorisation for refund failed with response code* followed by the [raw response](/development-resources/raw-acquirer-responses/) we received. **Reason for failed refund authorization in REFUND webhook** ```json { ... { "NotificationRequestItem": { ... "eventCode": "REFUND", "reason": "Authorisation for refund failed with response code 46 : Closed account", "success": "false" } } ] } ``` This improved transparency about the status of a refund enables you to take action sooner, so you can return the funds to the shopper in some other way. The behavior described above will become the default in 2026. If you want to prepare for that and participate in this pilot, reach out to your Adyen contact or to our [Support Team](https://ca-test.adyen.com/ca/ca/contactUs/support.shtml?form=other). Note that some card networks charge a refund authorization fee. ## See also * [FAQs: Refunds](https://help.adyen.com/knowledge/payments/refunds/) * [Online payments webhook reference](https://docs.adyen.com/api-explorer/#/Webhooks/latest/overview) * [Cancel](/online-payments/cancel) * [Reversal](/online-payments/reversal) * [Payments lifecycle](/account/payments-lifecycle) * [Payment methods](/payment-methods)